Bug 13317 - REGRESSION: samsclub menu shifted
Summary: REGRESSION: samsclub menu shifted
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Nobody
URL: http://www.samsclub.com/
Keywords: InRadar, NeedsReduction, Regression
Depends on:
Blocks:
 
Reported: 2007-04-10 08:29 PDT by Kevin M. Dean
Modified: 2007-05-16 10:18 PDT (History)
2 users (show)

See Also:


Attachments
Reduction for rendering bug (180 bytes, text/html)
2007-04-16 15:27 PDT, mitz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin M. Dean 2007-04-10 08:29:16 PDT
Top menu is shifted down partly over the search field and a color box is above it. Safari doesn't exhibit the same issue and Firefox renders slightly different than both Safari and webkit.
Comment 1 mitz 2007-04-16 15:26:17 PDT
Probably regressed in <http://trac.webkit.org/projects/webkit/changeset/13366>.
Comment 2 mitz 2007-04-16 15:27:22 PDT
Created attachment 14055 [details]
Reduction for rendering bug
Comment 3 mitz 2007-04-16 15:34:21 PDT
Comment on attachment 14055 [details]
Reduction for rendering bug


This reduction pertains only to issue of the blue rectangle appearing above the menus.
Comment 4 mitz 2007-04-16 15:38:12 PDT
r13366 is responsible for the rendering glitch (painting the background of an invisible table cell). The layout issue still needs to be reduced, although I don't know if it's a regression. Note that by choosing View > Make Text Smaller, you can get the menu to shift back up. In TOT, it overlaps the grey rect with the search field when it's shifted down. In Safari 2.0.4 it pushes the whole thing down.
Comment 5 mitz 2007-04-17 03:21:22 PDT
Filed bug 13369 for the background rendering issue, leaving this bug to be about the layout issue.
Comment 6 Darin Adler 2007-04-23 08:37:06 PDT
<rdar://problem/5153015>
Comment 7 Beth Dakin 2007-05-09 22:13:40 PDT
This appears to be fixed, unless I am missing something.
Comment 8 mitz 2007-05-09 22:42:41 PDT
(In reply to comment #7)
> This appears to be fixed, unless I am missing something.
> 

There was a remaining layout issue which I did not reduce, and now the site has completely changed.
Comment 9 Beth Dakin 2007-05-10 10:32:42 PDT
Ah, site change. That sucks.
Comment 10 Sam Weinig 2007-05-16 10:18:57 PDT
I am closing this bug as the site has unfortunately changed but it seems to fortunately work fine now.  If someone has an older version of the site that a reduction of the remaining problem Mitz mentioned can be made from, please reopen the bug and attach the page.